Subject: Re: bug#37021: GuixSD 1.01-i686 install DVD boot failure on Macbook1, 1: failed to resolve partition

From: Mark H Weaver <[email-masked]>
Date: Thu, 15 Aug 2019 19:52:48 -0400

Mark H Weaver <[email-masked]> writes:

> Hi Calvin,
>
> Calvin Heim <[email-masked]> writes:
>
>> On Thu, 2019-08-15 at 15:15 -0400, Mark H Weaver wrote:
>>> I did some looking around for any recently updated tutorials on how to
>>> install GNU/Linux on a MacBook 1,1, and the only recent success story I
>>> found involved installing the rEFInd boot manager and using it to boot
>>> to a USB installer.
>>> 
>>>   https://www.youtube.com/watch?v=nHRai14ETKU
>>> 
>>> I would suggest something along those lines, since it would eliminate
>>> the need to access the DVD drive from the initrd, which seems to be
>>> where you're currently getting stuck.
>>> 
>>>        Mark
>> I have now removed the DVD and made a live USB with the guix-system-install-1.0.1.i686-linux.iso image.
>> Selecting the live usb at (what I believe to be) the EFI leads to the GuixSD LiveUSB image's GRUB, replete with the GUIXSD logo.
>> Setting the acpi=off boot option in the GuixSD LiveUSB image's GRUB leads to the same log that is 
>> pasted in my previous email, quoted above.  When I saw the identifier for the DVD drive again in the log,
>> I double-checked to make sure that my previous DVD was not in the drive. Nope, it's in a vinyl CD case.
>>
>> David Stumph (the author of the video) is using lubuntu 16.04 in the video.  He attempted 18.10
>> but that resulted in a kernel panic.  I also see a kernel panic without setting acpi=off
>> in the grub boot options. In case someone in the future is searching for this issue, the kernel panic message is
>>>%----------begin pasted text----------------->%
>> Kernel panic - not syncing: Timeout: Not all CPUs entered broadcast exception handler
>> Shutting down cpus with NMI
>> Kernel Offset : 0x8000000 from 0xc1000000 (relocation range: 0xc0000000-0xf7dfdfff)
>> Kernel rebooting in 30 seconds
>>>%----------end paste------------------------->%
>
> Ubuntu 16.04 uses linux-4.4.  We have linux-libre-4.4 (LTS) in Guix, but
> our 1.0.1 installer images are based on linux-libre-5.1.
>
> It might be worth using another machine to build a Guix installer image
> that uses linux-libre-4.4, and trying that.  Here's how: Section 3.9
> (Building the Installation Image) describes how to build an installer
> image, but instead of passing "gnu/system/install.scm", pass the name of
> a modified version of that file, with (kernel linux-libre-4.4) added as
> an additional field to 'installation-os'.

I should mention that you'll also need to add "--system=i686-linux" as
an option to "guix system disk-image", if the build system is 64-bit.

        Mark